Subject: Re: [bitcoin-dev] Consensus based block size retargeting algorithm (draft)

From: Btc Drak <[email-masked]>
Date: Sat, 29 Aug 2015 00:36:20 +0100

On Fri, Aug 28, 2015 at 10:15 PM, Matt Whitlock <[email-masked]> wrote:
> However, this proposal currently fails to answer a very important question:
>
> • What is the mechanism for activation of the new consensus rule? It is when a certain percentage of the blocks mined in a 2016-block retargeting period contain valid block-size votes?

I chose not to address hard fork methodology at this stage because I
wanted to focus on the main algorithm. There are a number of options
open to us for deployment including a simple fixed activation (which I
think is feasible because there is a a lot of awareness and the
industry shows they are willing to rally around a single proposal). If
there are any strong preferences, I can add a deployment section
although I think it's less interesting until we forge a clear way
forward with what blocksize proposal to use.